Disclaimer: These archives are mirrored from smsforum.net in 2007 before the forum got closed. Please only part of the forum is available here.
For any clarifications regarding these archives you can contact us at http://www.telecomspace.com/contact.

      TELECOMSPACE HOME PAGE         TELECOM DISCUSSION FORUM          CONTACT

+  SMS Forum Online Discussion
|-+  Simulators
| |-+  SMPPSim (Moderator: mdwoolley)
| | |-+  Problem starting SMPPsim under Linux
« previous next »
Pages: [1] Go Down Print
Author Topic: Problem starting SMPPsim under Linux  (Read 549 times)
jc21
Newbie
*
Offline Offline

Posts: 1


« on: July 03, 2007, 06:23:15 UTC »

Hi - first of all, this app is a lifesaver. I've got it to work on windows, and it looks good.

But, when I try to start the server on linux, I get:

Code:
[[email protected] SMPPSim]# sh startsmppsim.sh
Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)

Here are some server stats:
Code:
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)

Linux ------.-------.com.au 2.6.9-34.0.1.ELsmp #1 SMP Wed May 24 08:14:29 CDT 2006 i686 i686 i386 GNU/Linux

CentOS release 4.3 (Final)
Logged
mdwoolley
Moderator
Sr. Member
*****
Offline Offline

Posts: 146



WWW
« Reply #1 on: July 03, 2007, 08:42:46 UTC »

Hi

my apologies... the latest SMPPSim is now compiled under Java 1.6 (and the documentation does not indicate this). So you either need to upgrade your Java environment on the Linux box or you could recompile with the 1.5 JDK. There's an ant script included so this should be quite easy.

Regards

Martin
Logged

Martin Woolley
Author of SMPPSim
http://www.seleniumsoftware.com
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Login with username, password and session length